import React from 'react';
import { MDCTextFieldHelperTextAdapter } from '@material/textfield/helper-text/adapter';
import { MDCTextFieldHelperTextFoundation } from '@material/textfield/helper-text/foundation';
export interface HelperTextProps {
    'aria-hidden'?: boolean;
    children: React.ReactNode;
    className?: string;
    isValid?: boolean;
    isValidationMessage?: boolean;
    persistent?: boolean;
    role?: string;
    showToScreenReader?: boolean;
    validation?: boolean;
}
interface HelperTextState {
    'aria-hidden': boolean;
    role?: string;
    classList: Set<string>;
}
export default class HelperText extends React.Component<HelperTextProps, HelperTextState> {
    foundation: MDCTextFieldHelperTextFoundation;
    static defaultProps: {
        ['aria-hidden']: boolean;
        className: string;
        isValid: boolean;
        isValidationMessage: boolean;
        persistent: boolean;
        showToScreenReader: boolean;
        validation: boolean;
    };
    constructor(props: HelperTextProps);
    componentDidMount(): void;
    componentDidUpdate(prevProps: HelperTextProps): void;
    componentWillUnmount(): void;
    readonly classes: string;
    readonly adapter: MDCTextFieldHelperTextAdapter;
    render(): JSX.Element;
}
export {};
