import React from 'react';
import { MDCTextFieldIconAdapter } from '@material/textfield/icon/adapter';
import { MDCTextFieldIconFoundation } from '@material/textfield/icon/foundation';
export interface IconProps extends React.HTMLProps<HTMLOrSVGElement> {
    disabled?: boolean;
    children: React.ReactElement<React.HTMLProps<HTMLOrSVGElement>>;
    onSelect?: () => void;
}
interface IconState {
    tabindex?: number;
    role?: string;
}
export default class Icon extends React.Component<IconProps, IconState> {
    foundation: MDCTextFieldIconFoundation;
    static defaultProps: Partial<IconProps>;
    constructor(props: IconProps);
    componentDidMount(): void;
    componentDidUpdate(prevProps: IconProps): void;
    componentWillUnmount(): void;
    readonly tabindex: any;
    readonly adapter: MDCTextFieldIconAdapter;
    handleClick: (e: React.MouseEvent<HTMLElement, MouseEvent>) => void;
    handleKeyDown: (e: React.KeyboardEvent<HTMLElement>) => void;
    addIconAttrsToChildren: () => React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)> | null) | (new (props: any) => React.Component<any, any, any>)>;
    render(): React.ReactElement<any, string | ((props: any) => React.ReactElement<any, string | any | (new (props: any) => React.Component<any, any, any>)> | null) | (new (props: any) => React.Component<any, any, any>)>;
}
export {};
